## kdepim 3.5.9

=== kpilot/kpilot/CMakeLists.txt ===
link_directories(${CMAKE_BINARY_DIR}/lib ${CMAKE_CURRENT_BINARY_DIR})

# Don't forget to include output directory, otherwise
# the UI file won't be wrapped!
include_directories(
	${CMAKE_BINARY_DIR}/lib
	${CMAKE_SOURCE_DIR}/lib
	${CMAKE_CURRENT_BINARY_DIR}
)


###
#
# Settings (KConfigXT) shared between various parts of KPilot
#
set(settings_SRC
	kpilotConfig.cc
)

kde3_add_kcfg_files(settings_SRC kpilotSettings.kcfgc)

###
#
# The KCM for KPilot, used by the config dialog and the embedding in Kontact
#
set(kcmpilot_SRCS
	${settings_SRC}
	kpilotConfigWizard.cc
	dbSelectionDialog.cc
	kpilotConfigDialog.cc
	conduitConfigDialog.cc
	kpilotProbeDialog.cc
)

set(kcmpilot_KCFGS
	kpilotConfigWizard_address.kcfgc
	kpilotConfigWizard_notes.kcfgc
	kpilotConfigWizard_vcal.kcfgc
)

set(kcmpilot_UIS
	kpilotConfigDialog_device.ui
	kpilotConfigDialog_sync.ui
	kpilotConfigDialog_startup.ui
	kpilotConfigDialog_viewers.ui
	kpilotConfigDialog_backup.ui
	kpilotConfigWizard_user.ui
	kpilotConfigWizard_app.ui
	dbSelection_base.ui
)

kde3_add_ui_files(kcmpilot_SRCS ${kcmpilot_UIS})
kde3_add_kcfg_files(kcmpilot_SRCS ${kcmpilot_KCFGS})
kde3_add_dcop_stubs(kcmpilot_SRCS pilotDaemonDCOP.h)
kde3_automoc(${kcmpilot_SRCS})

# Now add these generated files to the ADD_LIBRARY step
# If this is NOT done, then the ui_*.h files will not be generated
add_library(kcm_kpilot SHARED ${kcmpilot_SRCS})
set_target_properties(kcm_kpilot PROPERTIES
	LOCATION ${KDE3_PLUGIN_INSTALL_DIR}
	PREFIX ""
)

###
#
# Most simple daemon-like application: kpilotTest, which
# runs whatever the command-line tells it to.
#
set(kpilotTest_SRCS
	${settings_SRC}
	hotSync.cc
	logWidget.cc
	pilotComponent.cc
	main-test.cc
)
# Acts as a receiver for DCOP log messages
kde3_add_dcop_skels(kpilotTest_SRCS loggerDCOP.h)

kde3_automoc(${kpilotTest_SRCS})
add_executable(kpilotTest ${kpilotTest_SRCS})
target_link_libraries(kpilotTest ${QT_LIBRARIES} kpilot kdeui kio)
kpilot_rpath(kpilotTest)

###
#
# The real KPilot daemon.
#
set(kpilotDaemon_SRCS
	${settings_SRC}
	hotSync.cc
	fileInstaller.cc
	internalEditorAction.cc
	logFile.cc
	pilotDaemon.cc
)
# Both sends and receives DCOP log messages. Talks to KPilot.
kde3_add_dcop_skels(kpilotDaemon_SRCS loggerDCOP.h pilotDaemonDCOP.h)
kde3_add_dcop_stubs(kpilotDaemon_SRCS loggerDCOP.h kpilotDCOP.h)
kde3_automoc(${kpilotDaemon_SRCS})
add_executable(kpilotDaemon ${kpilotDaemon_SRCS})
target_link_libraries(kpilotDaemon ${QT_LIBRARIES} kpilot kdeui kio)
kpilot_rpath(kpilotDaemon)

###
#
# The KPilot executable (viewer / editor / configuration).
#
set(kpilot_SRCS
	${settings_SRC}
	logWidget.cc
	kpilot.cc
	dbviewerWidget.cc
	dbFlagsEditor.cc
	dbRecordEditor.cc
	dbAppInfoEditor.cc
	pilotComponent.cc
	memoWidget.cc
	addressWidget.cc
	addressEditor.cc
	datebookWidget.cc
	todoWidget.cc
	todoEditor.cc
	fileInstaller.cc
	fileInstallWidget.cc
	listItems.cc
)

set(kpilot_UIS
	dbFlagsEditor_base.ui
	todoEditor_base.ui
)

kde3_add_ui_files(kpilot_SRCS ${kpilot_UIS})
# Talks to the daemon. Listens as itself.
kde3_add_dcop_skels(kpilot_SRCS loggerDCOP.h kpilotDCOP.h)
kde3_add_dcop_stubs(kpilot_SRCS pilotDaemonDCOP.h)
kde3_automoc(${kpilot_SRCS})
add_executable(kpilot_bin ${kpilot_SRCS})
target_link_libraries(kpilot_bin ${QT_LIBRARIES} kpilot kutils kdeui kio)
kpilot_rpath(kpilot_bin)
set_target_properties(kpilot_bin PROPERTIES
	OUTPUT_NAME kpilot
)

######################### INSTALL STUFF #######################################

kde3_install_libtool_file(kcm_kpilot)

install(
	TARGETS kcm_kpilot kpilot_bin kpilotDaemon
	LIBRARY DESTINATION ${KDE3_PLUGIN_INSTALL_DIR}
	RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin
	RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin
)

install( FILES kpilotui.rc DESTINATION ${CMAKE_INSTALL_PREFIX}/share/apps/kpilot)

install(
	FILES kpilot.desktop kpilotdaemon.desktop DESTINATION ${KDE3_XDG_APPS_DIR}
)

install(
	FILES kpilotconduit.desktop DESTINATION ${KDE3_SERVICETYPES_DIR}
)

install(
	FILES kpilot_config.desktop DESTINATION ${KDE3_SERVICES_DIR}
)

install ( 
	FILES kpilot.upd 
	DESTINATION ${CMAKE_INSTALL_PREFIX}/share/apps/kconf_update
)

install(
	FILES kpilot.kcfg DESTINATION ${KDE3_KCFG_DIR}
)

add_subdirectory(Icons)

=== kpilot/conduits/docconduit/CMakeLists.txt ===
include_directories(
	${CMAKE_CURRENT_BINARY_DIR}
)

set(doc_shared_SRCS
	makedoc9.cc
	pilotDOCHead.cc
	pilotDOCEntry.cc
	pilotDOCBookmark.cc
	DOC-converter.cc
)

set(conduit_doc_SRCS
	${doc_shared_SRCS}
	kpalmdoc_dlg.cc
	kpalmdoc.cpp
	doc-factory.cc
	doc-setup.cc
	doc-conduit.cc
	doc-conflictdialog.cc
)

set(conduit_doc_UIS
	kpalmdoc_dlgbase.ui
	doc-setupdialog.ui
)

set(conduit_doc_KCFGS
	docconduitSettings.kcfgc
	kpalmdocSettings.kcfgc
)

kde3_add_kcfg_files(conduit_doc_SRCS ${conduit_doc_KCFGS})
kde3_add_ui_files(conduit_doc_SRCS ${conduit_doc_UIS})
kde3_automoc(${conduit_doc_SRCS})
add_library(conduit_doc SHARED ${conduit_doc_SRCS})

kpilot_rpath(conduit_doc)

set_target_properties(
	conduit_doc PROPERTIES LOCATION ${KDE3_PLUGIN_INSTALL_DIR}
	PREFIX ""
)

kde3_install_libtool_file(conduit_doc)

install(
	TARGETS conduit_doc
	LIBRARY DESTINATION ${KDE3_PLUGIN_INSTALL_DIR}
)

set(kpalmdoc_SRCS
	${doc_shared_SRCS}
	kpalmdoc_dlg.cc
	kpalmdoc.cpp
)
kde3_add_kcfg_files(kpalmdoc_SRCS kpalmdocSettings.kcfgc)
kde3_add_ui_files(kpalmdoc_SRCS kpalmdoc_dlgbase.ui)
kde3_automoc(${kpalmdoc_SRCS})
add_executable(kpalmdoc ${kpalmdoc_SRCS})
target_link_libraries(kpalmdoc ${QT_LIBRARIES} kpilot kdeui kio)
kpilot_rpath(kpalmdoc)

install(
	TARGETS kpalmdoc conduit_doc
	LIBRARY DESTINATION ${KDE3_PLUGIN_INSTALL_DIR}
	RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin
)

install(
	FILES doc_conduit.desktop DESTINATION ${KDE3_SERVICES_DIR}
)

install(
	FILES docconduit.kcfg kpalmdoc.kcfg DESTINATION ${KDE3_KCFG_DIR}
)

install(
	FILES kpalmdoc.desktop DESTINATION ${KDE3_XDG_APPS_DIR}
)

install(
	FILES kpalmdoc.upd
	DESTINATION ${CMAKE_INSTALL_PREFIX}/share/apps/kconf_update
)

add_subdirectory(Icons)

=== kpilot/conduits/notepadconduit/CMakeLists.txt ===
include_directories(
	${CMAKE_CURRENT_BINARY_DIR}
)

set(conduit_notepad_SRCS
	notepad-factory.cc
	notepad-conduit.cc
)

set(conduit_notepad_UIS
	notepad-setup.ui
)

set(conduit_notepad_KCFGS
	notepadconduit.kcfgc
)

kde3_add_kcfg_files(conduit_notepad_SRCS ${conduit_notepad_KCFGS})
kde3_add_ui_files(conduit_notepad_SRCS ${conduit_notepad_UIS})
kde3_automoc(${conduit_notepad_SRCS})
add_library(conduit_notepad SHARED ${conduit_notepad_SRCS})

set_target_properties(
	conduit_notepad PROPERTIES LOCATION ${KDE3_PLUGIN_INSTALL_DIR}
	INSTALL_RPATH ${CMAKE_INSTALL_PREFIX}/lib
	PREFIX ""
)

kde3_install_libtool_file(conduit_notepad)

install(
	TARGETS conduit_notepad
	LIBRARY DESTINATION ${KDE3_PLUGIN_INSTALL_DIR}
)

install(
	FILES notepad-conduit.desktop DESTINATION ${KDE3_SERVICES_DIR}
)

=== kpilot/conduits/vcalconduit/CMakeLists.txt ===
set(conduit_LIBS kcal)

include_directories(
	${CMAKE_CURRENT_BINARY_DIR}
)

set(conduit_SHARED
	vcal-setupbase.cc
	vcal-conduitbase.cc
	teststate.cc
	initstate.cc
	pctohhstate.cc
	hhtopcstate.cc
	cleanupstate.cc
	deleteunsyncedpcstate.cc
	deleteunsyncedhhstate.cc
	kcalRecord.cc
	vcalRecord.cc
	todoRecord.cc
)

kde3_add_kcfg_files(conduit_SHARED vcalconduitSettings.kcfgc)
kde3_add_ui_files(conduit_SHARED korganizerConduit.ui)

set(conduit_vcal_SRCS
	${conduit_SHARED}
	vcal-conduit.cc
	vcal-factory.cc
	vcal-setup.cc
)

kde3_automoc(${conduit_vcal_SRCS})
add_library(conduit_vcal SHARED ${conduit_vcal_SRCS})
target_link_libraries(conduit_vcal kcal)

set(conduit_todo_SRCS
	${conduit_SHARED}
	todo-factory.cc
	todo-setup.cc
	todo-conduit.cc
)

kde3_automoc(${conduit_todo_SRCS})
add_library(conduit_todo SHARED ${conduit_todo_SRCS})
target_link_libraries(conduit_todo kcal)

set_target_properties(
	conduit_vcal PROPERTIES LOCATION ${KDE3_PLUGIN_INSTALL_DIR}
	INSTALL_RPATH ${CMAKE_INSTALL_PREFIX}/lib
	PREFIX ""
)
set_target_properties(
	conduit_todo PROPERTIES LOCATION ${KDE3_PLUGIN_INSTALL_DIR}
	INSTALL_RPATH ${CMAKE_INSTALL_PREFIX}/lib
	PREFIX ""
)

kde3_install_libtool_file(conduit_vcal)

install(
	TARGETS conduit_vcal conduit_todo
	LIBRARY DESTINATION ${KDE3_PLUGIN_INSTALL_DIR}
	LIBRARY DESTINATION ${KDE3_PLUGIN_INSTALL_DIR}
)

kde3_install_libtool_file(conduit_todo)

install(
	FILES vcal-conduit.desktop todo-conduit.desktop
	DESTINATION ${KDE3_SERVICES_DIR}
)

install(
	FILES vcalconduitbase.kcfg DESTINATION ${KDE3_KCFG_DIR}
)

## kdepim 4.1.4

=== kmail/CMakeLists.txt ===
project(kmail)

INCLUDE(CheckIncludeFiles)
check_include_files(fcntl.h HAVE_FCNTL_H)
check_include_files(byteswap.h HAVE_BYTESWAP_H)
check_include_files(paths.h HAVE_PATHS_H)
check_function_exists(mmap HAVE_MMAP)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${KDE4_DATA_DIR}/cmake/modules)

check_include_files(sys/inotify.h SYS_INOTIFY_H_FOUND)
macro_bool_to_01(SYS_INOTIFY_H_FOUND HAVE_SYS_INOTIFY_H)

if (EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/.svn")
  if ( NOT KdeSubversion_FOUND )
    find_package( KdeSubversion )
  endif ( NOT KdeSubversion_FOUND )
  if ( KdeSubversion_FOUND )
    KdeSubversion_WC_INFO( ${PROJECT_SOURCE_DIR} KMail )
    string( SUBSTRING "${KMail_WC_LAST_CHANGED_DATE}" 0 10 KMail_WC_LAST_CHANGED_DATE )
    set( kmail_svn_revision "svn-${KMail_WC_REVISION}" )
    set( kmail_svn_last_change "${KMail_WC_LAST_CHANGED_DATE}" )
  endif ( KdeSubversion_FOUND )
endif (EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/.svn")
configure_file(config-kmail.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kmail.h )

add_definitions ( -DQT3_SUPPORT -DQT3_SUPPORT_WARNINGS )
add_definitions ( -DKDE_DEFAULT_DEBUG_AREA=5006 )
add_definitions ( -DStorageDebug=5120 )

qt4_generate_dbus_interface( kmkernel.h org.kde.kmail.kmail.xml OPTIONS -a )
qt4_generate_dbus_interface( kmcomposewin.h org.kde.kmail.mailcomposer.xml OPTIONS -a )

add_custom_target(kmail_xml ALL
                  DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kmail.kmail.xml ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kmail.mailcomposer.xml
                  COMMENT "Helper target for XML stuff. The Kontact plugin, KOrganizer and others depend on it." )

add_subdirectory( interfaces )
add_subdirectory( about )
add_subdirectory( pics )
add_subdirectory( icons )
add_subdirectory( profiles )
add_subdirectory( avscripts )
add_subdirectory( tests )
add_subdirectory( kconf_update )
include_directories(
  ${CMAKE_SOURCE_DIR}/libkdepim ${CMAKE_BINARY_DIR}/libkdepim
  ${CMAKE_SOURCE_DIR}/libksieve
  ${CMAKE_SOURCE_DIR}/mimelib
  ${CMAKE_SOURCE_DIR}/libkleo
  ${GPGME_INCLUDES}
  ${Boost_INCLUDE_DIR}
   )
if(Nepomuk_FOUND)
  include_directories( ${NEPOMUK_INCLUDES} )
endif(Nepomuk_FOUND)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}" )

########### next target ###############
set(kmailprivate_LIB_SRCS
   kmmessage.cpp
   kmmainwin.cpp
   configuredialog.cpp
   configuredialog_p.cpp
   simplestringlisteditor.cpp
   identitylistview.cpp
   identitydialog.cpp
   kmfolderdialog.cpp
   kmfoldertree.cpp
   kmfoldercombobox.cpp
   foldertreebase.cpp
   favoritefolderview.cpp
   kmaccount.cpp
   kmheaders.cpp
   headeritem.cpp
   listjob.cpp
   kmcomposewin.cpp
   snippetdlg.cpp
   snippetwidget.cpp
   snippetitem.cpp
   kmfolder.cpp
   kmmsgpartdlg.cpp
   kmreaderwin.cpp
   htmlstatusbar.cpp
   kmmsgdict.cpp
   kmgroupware.cpp
   folderstorage.cpp
   csshelper.cpp
   actionscheduler.cpp
   messageproperty.cpp
   kmmsgpart.cpp
   kmmsginfo.cpp
   accountmanager.cpp
   kmacctfolder.cpp
   kmdict.cpp
   kmsystemtray.cpp
   kmacctlocal.cpp
   kmfolderdir.cpp
   kmfoldermgr.cpp
   kmfoldernode.cpp
   kmsender.cpp
   kmacctseldlg.cpp
   kmfiltermgr.cpp
   filterimporterexporter.cpp
   kmsearchpatternedit.cpp
   kmfilteraction.cpp
   kmsearchpattern.cpp
   folderselectiontreewidget.cpp
   folderselectiondialog.cpp
   kmfilter.cpp
   kmfilterdlg.cpp
   kmmsgbase.cpp
   kmmsglist.cpp
   kmaddrbook.cpp
   xfaceconfigurator.cpp
   networkaccount.cpp
   imapaccountbase.cpp
   kmacctimap.cpp
   kmacctcachedimap.cpp
   kmfawidgets.cpp
   kmfoldermbox.cpp
   kmfolderimap.cpp
   undostack.cpp
   kmfoldercachedimap.cpp
   kmfoldermaildir.cpp
   popaccount.cpp
   kmkernel.cpp
   accountdialog.cpp
   searchwindow.cpp
   vcardviewer.cpp
   vacationdialog.cpp
   vacation.cpp
   sievedebugdialog.cpp
   sieveconfig.cpp
   sievejob.cpp
   kmpopheaders.cpp
   kmpopfiltercnfrmdlg.cpp
   kmmimeparttree.cpp
   mailinglist-magic.cpp
   kmacctmaildir.cpp
   attachmentstrategy.cpp
   headerstrategy.cpp
   headerstyle.cpp
   khtmlparthtmlwriter.cpp
   filehtmlwriter.cpp
   teehtmlwriter.cpp
   objecttreeparser.cpp
   attachmentcollector.cpp
   bodypartformatter.cpp
   bodypartformatterfactory.cpp
   partNode.cpp
   mailsourceviewer.cpp
   kmcommands.cpp
   kmreadermainwin.cpp
   kmstartup.cpp
   kmmainwidget.cpp
   kmfolderindex.cpp
   kmfoldersearch.cpp
   folderjob.cpp
   cachedimapjob.cpp
   maildirjob.cpp
   mboxjob.cpp
   imapjob.cpp
   subscriptiondialog.cpp
   kmailicalifaceimpl.cpp
   aboutdata.cpp
   mailserviceimpl.cpp
   attachmentlistview.cpp
   kmcomposereditor.cpp
   kmlineeditspell.cpp
   kmatmlistview.cpp
   composer.cpp
   isubject.cpp
   bodyvisitor.cpp
   antispamwizard.cpp
   urlhandlermanager.cpp
   secondarywindow.cpp
   filterlog.cpp
   filterlogdlg.cpp
   messagecomposer.cpp
   keyresolver.cpp
   globalsettings.cpp
   regexplineedit.cpp
   rulewidgethandlermanager.cpp
   headerlistquicksearch.cpp
   acljobs.cpp
   folderdialogacltab.cpp
   partnodebodypart.cpp
   expirejob.cpp
   compactionjob.cpp
   jobscheduler.cpp
   callback.cpp
   searchjob.cpp
   renamejob.cpp
   annotationjobs.cpp
   accountcombobox.cpp
   redirectdialog.cpp
   foldershortcutdialog.cpp
   folderrequester.cpp
   spamheaderanalyzer.cpp
   antispamconfig.cpp
   recipientseditor.cpp
   recipientspicker.cpp
   kwindowpositioner.cpp
   distributionlistdialog.cpp
   expirypropertiesdialog.cpp
   mailinglistpropertiesdialog.cpp
   newfolderdialog.cpp
   accountwizard.cpp
   textsource.cpp
   managesievescriptsdialog.cpp
   chiasmuskeyselector.cpp
   util.cpp
   kmmessagetag.cpp
   templateparser.cpp
   templatesconfiguration.cpp
   templatesinsertcommand.cpp
   customtemplates.cpp
   customtemplatesmenu.cpp
   quotajobs.cpp
   folderdialogquotatab.cpp
   folderdialogquotatab_p.cpp
   folderadaptor.cpp
   copyfolderjob.cpp
   messagecopyhelper.cpp
   korghelper.cpp
   localsubscriptiondialog.cpp
   editorwatcher.cpp
   scalix.cpp
   messageactions.cpp
   statusbarlabel.cpp
   groupware_types.cpp
   kleojobexecutor.cpp
#TODO   locale.c
)

qt4_add_dbus_adaptor( kmailprivate_LIB_SRCS ${CMAKE_BINARY_DIR}/kmail/org.kde.kmail.kmail.xml kmkernel.h KMKernel )
qt4_add_dbus_adaptor( kmailprivate_LIB_SRCS ${CMAKE_BINARY_DIR}/kmail/org.kde.kmail.mailcomposer.xml kmcomposewin.h KMComposeWin )
qt4_add_dbus_adaptor( kmailprivate_LIB_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.kmail.groupware.xml kmailicalifaceimpl.h KMailICalIfaceImpl )

qt4_add_dbus_interfaces(kmailprivate_LIB_SRCS
  ${CMAKE_BINARY_DIR}/kmail/org.kde.kmail.kmail.xml
  ${CMAKE_BINARY_DIR}/kmail/org.kde.kmail.mailcomposer.xml
  ${CMAKE_SOURCE_DIR}/korganizer/org.kde.Korganizer.Calendar.xml
)

qt4_add_dbus_adaptor( kmailprivate_LIB_SRCS ${CMAKE_SOURCE_DIR}/libkdepim/interfaces/org.kde.mailtransport.service.xml mailserviceimpl.h KMail::MailServiceImpl)



kde4_add_ui_files(kmailprivate_LIB_SRCS composercryptoconfiguration.ui warningconfiguration.ui smimeconfiguration.ui templatesconfiguration_base.ui customtemplates_base.ui snippetdlgbase.ui imapsettings.ui localsettings.ui maildirsettings.ui popsettings.ui)

kde4_add_kcfg_files(kmailprivate_LIB_SRCS globalsettings_base.kcfgc replyphrases.kcfgc custommimeheader.kcfgc templatesconfiguration_kfg.kcfgc customtemplates_kfg.kcfgc )

if(WIN32)
  find_package(Sqlite)
  if (NOT SQLITE_FOUND)
    MESSAGE(FATAL_ERROR "You need SQLite library for indexing")
  endif(NOT SQLITE_FOUND)
  add_definitions(-DKMAIL_SQLITE_INDEX) # to alter declaration of KMFolderIndex
  include_directories(${SQLITE_INCLUDE_DIR})
endif(WIN32)

kde4_add_library(kmailprivate SHARED ${kmailprivate_LIB_SRCS})
kdepim4_link_unique_libraries(kmailprivate ${KDE4_KHTML_LIBRARY} ${KDE4_THREADWEAVER_LIBRARY} ${KDE4_KMIME_LIBRARY} ${KDE4_KPIMIDENTITIES_LIBRARY} ${KDE4_KLDAP_LIBRARY} ${KDE4_PHONON_LIBRARY} ${KDE4_KNOTIFYCONFIG_LIBRARY} ${KDE4_KTNEF_LIBRARY} ${KDE4_KUTILS_LIBRARY} ${KDE4_MAILTRANSPORT_LIBRARY} ${KDE4_KIMAP_LIBRARY} ${KDE4_KPARTS_LIBRARY} kleo ${QGPGME_LIBRARIES} mimelib ksieve kpgp kdepim ${QT_QT3SUPPORT_LIBRARY} ${KDE4_KIO_LIBS} ${KDE4_KABC_LIBS} ${KDE4_KPIMUTILS_LIBS} ${KDE4_KDE3SUPPORT_LIBS})
if(WIN32)
  kdepim4_link_unique_libraries(kmailprivate ${SQLITE_LIBRARIES})
endif(WIN32)

if(Nepomuk_FOUND)
   kdepim4_link_unique_libraries(kmailprivate ${NEPOMUK_LIBRARIES} )
endif(Nepomuk_FOUND)

set_target_properties(kmailprivate PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION} )
install(TARGETS kmailprivate  DESTINATION ${LIB_INSTALL_DIR})


########### next target ###############

set(kcm_kmail_PART_SRCS kcm_kmail.cpp )


kde4_add_plugin(kcm_kmail ${kcm_kmail_PART_SRCS})



kdepim4_link_unique_libraries(kcm_kmail  ${KDE4_KDECORE_LIBS} kmailprivate )

install(TARGETS kcm_kmail  DESTINATION ${PLUGIN_INSTALL_DIR})


########### next target ###############

set(kmailpart_PART_SRCS kmail_part.cpp )

qt4_generate_dbus_interface( kmail_part.h org.kde.kmail.kmailpart.xml OPTIONS -a )
qt4_add_dbus_adaptor( kmailpart_PART_SRCS ${CMAKE_BINARY_DIR}/kmail/org.kde.kmail.kmailpart.xml kmail_part.h KMailPart )
qt4_add_dbus_interfaces( kmailpart_PART_SRCS ${CMAKE_BINARY_DIR}/kmail/org.kde.kmail.kmailpart.xml )

kde4_add_plugin(kmailpart ${kmailpart_PART_SRCS})

kdepim4_link_unique_libraries(kmailpart  ${KDE4_KDECORE_LIBS} kmailprivate ${KDE4_KPARTS_LIBS} ${KDE4_KUTILS_LIBS} ${QT_QT3SUPPORT_LIBRARY})

install(TARGETS kmailpart  DESTINATION ${PLUGIN_INSTALL_DIR})


########### next target ###############

set(kmail_bodypartformatter_application_octetstream_PART_SRCS app_octetstream.cpp )


kde4_add_plugin(kmail_bodypartformatter_application_octetstream ${kmail_bodypartformatter_application_octetstream_PART_SRCS})



kdepim4_link_unique_libraries(kmail_bodypartformatter_application_octetstream  ${KDE4_KDECORE_LIBS} )

install(TARGETS kmail_bodypartformatter_application_octetstream  DESTINATION ${PLUGIN_INSTALL_DIR})


########### next target ###############

set(kmail_SRCS main.cpp )

kde4_add_app_icon(kmail_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons/hi*-apps-kmail.png")

kde4_add_executable(kmail ${kmail_SRCS})

kdepim4_link_unique_libraries(kmail  ${KDE4_KDECORE_LIBS} kmailprivate )

install(TARGETS kmail  ${INSTALL_TARGETS_DEFAULT_ARGS} )



########### install files ###############

install( FILES KMail.desktop kmail_view.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR})
install( FILES kmail.kcfg replyphrases.kcfg custommimeheader.kcfg customtemplates_kfg.kcfg templatesconfiguration_kfg.kcfg DESTINATION ${KCFG_INSTALL_DIR})
install( FILES kmail.antispamrc kmail.antivirusrc  DESTINATION ${CONFIG_INSTALL_DIR})
install( FILES tips  DESTINATION ${DATA_INSTALL_DIR}/kmail)
install( FILES kmail_config_misc.desktop kmail_config_appearance.desktop     kmail_config_identity.desktop kmail_config_accounts.desktop kmail_config_composer.desktop     kmail_config_security.desktop  DESTINATION ${SERVICES_INSTALL_DIR})
install( FILES kmcomposerui.rc kmmainwin.rc kmreadermainwin.rc kmail.notifyrc kmail_part.rc  DESTINATION ${DATA_INSTALL_DIR}/kmail)
install( FILES dbusmail.desktop dbusimap.desktop  DESTINATION ${SERVICETYPES_INSTALL_DIR})
install( FILES application_octetstream.desktop  DESTINATION ${DATA_INSTALL_DIR}/kmail/plugins/bodypartformatter)

# Install the D-Bus interface XML files
install( FILES
         ${CMAKE_BINARY_DIR}/kmail/org.kde.kmail.kmailpart.xml
         ${CMAKE_BINARY_DIR}/kmail/org.kde.kmail.kmail.xml
         ${CMAKE_BINARY_DIR}/kmail/org.kde.kmail.mailcomposer.xml
         DESTINATION
         ${KDE4_DBUS_INTERFACES_DIR} )

## kdepim 4.4.6

=== debian/changelog ===
kdepim (4:4.4.6-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Bump build-dependencies

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 10 Sep 2010 13:19:12 +0200

kdepim (4:4.4.5-0ubuntu2) maverick; urgency=low

  * Build against kde4libs 4.4.92-0ubuntu3 for qtwebkit transition

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 21 Jul 2010 09:42:21 +0100

kdepim (4:4.4.5-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 28 Jun 2010 14:20:09 +0100

kdepim (4:4.4.4-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Bump build-depends
    - Update install files
    - Switch to source format 3.0
    - Remove README.source

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 09 Jun 2010 03:14:06 +0200

kdepim (4:4.4.3-1ubuntu1) maverick; urgency=low

  * Merge with Debian unstable, remaining changes:
    - Keep kdepim-doc.install where we ship docs for all packages which are in
      kdepim metapackage
    - Keep debian/kalarm-icons
    - Keep our patch
    - Build against libboost1.42-dev and libboost-graph1.42-dev
    - No libgnokii build-dep
    - Add libindicate-qt-dev, kdepim-runtime-dev, libxml2-dev, sharutils to build-deps
    - Add kdepim-runtime do depends in kdepim metapackage
    - No kleopatra and akonadiconsole to depends in kdepim metapackage (Universe)
    - Keep our kdepim-dev package and add kdepim-dev.install
    - Change DCOP to DBus in Kalarm package description
    - Add kdepim-runtime in kdepim-groupware and kmail depends
    - Kleopatra depends only on pinentry-qt4, pinentry-x11 is not in archive
    - Kmail recommends pinentry-qt4, pinentry-x11 is not in archive and
      pinentry-qt is build against qt3
    - kmail suggests not recommends procmail
    - In kmail suggests don't add f-prot-installer and annoyance-filter are
      not in archive
    - knode, knotes, konsolekalendar, kontact, korganizer depends on
      kdepim-runtime
    - kjots depends on akonadi-server
    - In kontact don't add ktimeticker,it's not in archive
    - debian/akregator,kaddressbook,kalarm,kjots,kmail,knode,knotes,kontact,
      ktimetracker,korganizer{.install}:
    - Don't add docs which are in kdepim-doc.install
    - debian/rules:
    - Keep rules for binary-install/kalarm

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 20 May 2010 21:46:12 +0200

kdepim (4:4.4.3-1) unstable; urgency=low

  * New upstream release.

  [ Fathi Boudra ]
  * Suggest gnupg2 to kmail.

  [ Modestas Vainius ]
  * Bump kde-sc-dev-latest build dependency to 4.4.3.
  * Release KDE SC 4.4.3 to unstable.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 01 May 2010 23:37:55 +0300

kdepim (4:4.4.3-0ubuntu1) lucid; urgency=low

  * New upstream bugfix release
    - Bump KDE build-depends to 4.4.3

 -- Christian Mangold <neversfelde@ubuntu.com>  Sat, 01 May 2010 00:05:26 +0200

kdepim (4:4.4.2-0ubuntu5) lucid; urgency=low

  * Drop kubuntu_03_kmail_ksni.diff, it causes problems on Gnome

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 16 Apr 2010 17:13:00 +0100

kdepim (4:4.4.2-0ubuntu4) lucid; urgency=low

  * Update kubuntu_03_kmail_ksni.diff from Aurelien Gateau, fix font
    size being too small on unread mail counter

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 16 Apr 2010 14:18:55 +0100

kdepim (4:4.4.2-0ubuntu3) lucid; urgency=low

  * Add kubuntu_03_kmail_ksni.diff from Aurelien Gateau, makes KMail
    systray icon use KStatusNotifierItem

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Apr 2010 11:30:11 +0100

kdepim (4:4.4.2-0ubuntu2) lucid; urgency=low

  [ Scott Kitterman ]
  * Bump kdepim-groupware replaces knotes version to 4:4.2.2-0ubuntu1 to
    account for the version in intrepid-backports

  [ Jonathan Riddell ]
  * Update kubuntu_02_kalarm_kstatusnotifieritem.diff from Aurelien
    Gateau, ensures KAlarm icon shows up on GNOME

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 13 Apr 2010 14:51:56 +0100

kdepim (4:4.4.2-1) experimental; urgency=low

  * New upstream release:
    - KMail no longer corrupts single attachment of multipart emails generated
      by MS Outlook or Outlook Express. (Closes: #505153)
    - KAddressBook requires Akonadi. (Closes: #535324)
    - KMail no longer blocks on GPG operations. (Closes: #186164)
    - Events can now be moved between calendars in KOrganizer.
      (Closes: #308311)
    - As-you-type spell checking can now be disabled in KNode.
      (Closes: #327447)
    - Akregator now renders first line break correctly. (Closes: #454137)
    - Improved handling of (malformed) multi-line headers in KMail.
      (Closes: #459831)
    - KMail uses current locale settings for group header in aggregation.
      (Closes: #532696)
    - Custom fonts work again in KMail message list. (Closes: #541722)
    - KTimeTracker's documentation does not refer to unexisting commands.
      (Closes: #535689)
    - KOrganizer seems to start for the user now. (Closes: #566251)
    - KAddressbook now correctly opens vCards with ENCODING=8BIT.
      (Closes: #574092)
    - KMail no longer caches possibly outdated UTC time zone offsets.
      (Closes: #448643)

  [ Pino Toscano ]
  * "mime" -> "MIME" in libmimelib4 descriptions. (Closes: #567159)
  * kalarm does no more need to suggest kmix. Thanks David Jarvie for the
    heads up! (Closes: #514612)

  [ Modestas Vainius ]
  * Add cmake to Build-Depends.
  * Add kde-sc-dev-latest (>= 4:4.4.2) to Build-Depends.
  * Bump Standards-Version to 3.8.4: no changes needed.
  * Bump KDE build dependencies to 4:4.4.
  * Bump libphonon-dev build dependency to 4:4.4.6.0really4.3.80.
  * Bump pkg-kde-tools build dependency to 0.6.4.
  * Drop libknotificationitem-1-dev from Build-Depends: no longer needed.
  * Bump akonadi build dependency to 1.3.0.
  * Drop 01_slot_fix.diff patch, taken from upstream.
  * Add DEP-3 headers to the 30_debianize_akregator_default.diff patch.


=== debian/control ===
Source: kdepim
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>,
 Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modax@debian.org>,
 Michael Meskes <meskes@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.5.1),
 cdbs, cmake, debhelper (>= 7.3), quilt, pkg-kde-tools (>= 0.6.4),
 kdelibs5-dev (>= 4:4.5), kdepimlibs5-dev (>= 4:4.5), libphonon-dev (>= 4:4.7.0really4.4.2),
 libgpgme11-dev, libboost1.42-dev, libboost-graph1.42-dev, libsasl2-dev,
 xsltproc, libxss-dev, libqca2-dev (>= 2.0.0), libassuan-dev,
 libstreams-dev (>= 0.6.3), libstreamanalyzer-dev (>= 0.6.3), libsearchclient-dev (>= 0.6.3),
 libstrigihtmlgui-dev (>= 0.6.3), libstrigiqtdbusclient-dev (>= 0.6.3), zlib1g-dev,
 libakonadi-dev (>= 1.3.85), libpisock-dev, shared-desktop-ontologies (>= 0.5),
 libindicate-qt-dev (>= 0.2.2), kdepim-runtime (>= 4:4.4.6), libxml2-dev,  sharutils
Standards-Version: 3.8.4
Homepage: http://pim.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kdepim/ubuntu
Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kdepim/ubuntu

Package: kdepim
Architecture: all
Depends: ${misc:Depends}, kdepim-runtime, akregator (>= ${source:Version}), kaddressbook (>= ${source:Version}),
 kalarm (>= ${source:Version}), kdepim-kresources (>= ${source:Version}), kdepim-wizards (>= ${source:Version}),
 kmail (>= ${source:Version}), knode (>= ${source:Version}), knotes (>= ${source:Version}),
 konsolekalendar (>= ${source:Version}), kontact (>= ${source:Version}), korganizer (>= ${source:Version}),
 ktimetracker (>= ${source:Version}), kdepim-strigi-plugins (>= ${source:Version}), kjots (>= ${source:Version}),
 blogilo (>= ${source:Version})
#kleopatra (>= ${source:Version})
#akonadiconsole (>= ${source:Version})
Suggests: kdepim-doc
Description: Personal Information Management apps from the official KDE release
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes a collection of Personal Information Management
 (PIM) applications provided with the official release of KDE.

Package: kdepim-dbg
Priority: extra
Section: debug
Depends: ${misc:Depends}, kdepimlibs-dbg,
 kdepim  (= ${source:Version}) |
 kaddressbook (= ${binary:Version}) |
 kalarm (= ${binary:Version}) |
 kdepim-groupware (= ${binary:Version}) |
 kdepim-kresources (= ${binary:Version}) |
 kdepim-strigi-plugins (= ${binary:Version}) |
 kdepim-wizards (= ${binary:Version}) |
 kjots (= ${binary:Version}) |
 kleopatra (= ${binary:Version}) |
 kmail (= ${binary:Version}) |
 knode (= ${binary:Version}) |
 knotes (= ${binary:Version}) |
 konsolekalendar (= ${binary:Version}) |
 kontact (= ${binary:Version}) |
 korganizer (= ${binary:Version}) |
 ktimetracker (= ${binary:Version}) |
 blogilo (= ${binary:Version}) |
 libkdepim4 (= ${binary:Version}) |
 libkleo4 (= ${binary:Version}) |
 libkpgp4 (= ${binary:Version}) |
 libksieve4 (= ${binary:Version}) |
 libmaildir4 (= ${binary:Version}) |
 libmimelib4 (= ${binary:Version}) |
 libmessagecore4 (= ${binary:Version}) |
 libmessagelist4 (= ${binary:Version}) |
 libmessageviewer0 (= ${binary:Version})
Replaces: kdeutils-dbg (<< 4:4.0.80)
Architecture: any
Description: debugging symbols for kdepim
 This package contains the debugging symbols associated with kdepim.
 They will automatically be used by gdb for debugging kdepim-related
 issues.

Package: kdepim-dev
Architecture: any
Depends: kdepim-runtime, akregator (>= ${binary:Version}),
 kaddressbook (>= ${binary:Version}), kalarm (>= ${binary:Version}),
 kdepim-kresources (>= ${binary:Version}), kjots (>= ${binary:Version}),
 kdepim-wizards (>= ${binary:Version}), kmail (>= ${binary:Version}),
 knode (>= ${binary:Version}), knotes (>= ${binary:Version}),
 konsolekalendar (>= ${binary:Version}),
 kontact (>= ${binary:Version}), korganizer (>= ${binary:Version}),
 ktimetracker (>= ${binary:Version}),
 kdepim-strigi-plugins (>= ${binary:Version}),
 libkdepim4 (>= ${binary:Version}), kdepimlibs5-dev (>= 4:4.3.80),
 libphonon-dev (>= 4:4.6.0really4.3.80),
 libgpgme11-dev, libboost1.42-dev, libboost-graph1.42-dev, libsasl2-dev, libxss-dev,
 libqca2-dev (>= 2.0.0), libpisock-dev, libassuan-dev, libstreams-dev,
 libstreamanalyzer-dev, libsearchclient-dev, libstrigihtmlgui-dev,
 libstrigiqtdbusclient-dev, zlib1g-dev, libakonadi-dev (>= 1.2.80),
 ${shlibs:Depends}
Conflicts: kmail (<= 4:4.2.1)
Replaces: kmail (<= 4:4.2.1)
Description: Contains development files needed to compile kdepim applications.
 This package is part of KDE, and a component of the KDE PIM module.
 See the 'kde' and 'kdepim' packages for more information.

Package: kdepim-doc
Section: doc
Architecture: all
Conflicts: akregator (<< 4:4.2.85-0ubuntu4)
Replaces: kjots (<< 4:4.3.3), knotes (<< 4:4.3.3)
Suggests: konqueror | www-browser, doc-base
Description: KDE Personal Information Management library documentation
 KDE core library documentation. You need this documentation to develop KDE PIM
 applications.
 .
 This package is part of KDE, and a component of the KDE PIM module.
 See the 'kde' and 'kdepim' packages for more information.

Package: akregator
Section: web
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kontact (<< 4:4.2.85)
Homepage: http://akregator.kde.org/
Description: RSS/Atom feed aggregator for KDE
 Akregator is a news feed reader for the KDE desktop. It enables you to follow
 news sites, blogs and other RSS/Atom-enabled websites without the need to
 manually check for updates using a web browser. Akregator is designed to be
 both easy to use and to be powerful enough to read hundreds of news sources
 conveniently. It comes with Konqueror integration for adding news feeds and
 with an internal browser for easy news reading.
 .
 This package is part of KDE, and a component of the KDE PIM module.

Package: kaddressbook
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: kdepim-kresources
Replaces: korganizer (<< 4:4.2.85), kontact (<< 4:4.2.85)
Description: KDE address book
 KAddressBook is the main address book application for KDE; it enables you
 to manage your contacts efficiently and comfortably. It can load and save
 your contacts to many different locations, including the local file system,
 LDAP servers, and SQL databases.
 .
 This package is part of KDE, and a component of the KDE PIM module.

Package: kalarm
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Suggests: kttsd
Homepage: http://www.astrojar.org.uk/kalarm/
Description: KDE alarm message, command and email scheduler
 KAlarm provides a graphical interface to schedule personal timed events -
 pop-up alarm messages, command execution and sending emails. There is a
 range of options for configuring recurring events.
 .
 A pop-up alarm can show either a simple text message, or the contents of a
 text or image file, It can optionally be spoken, or play a sound file. You
 can choose its appearance, and set reminders. Among KAlarm's other
 facilities, you can set up templates to allow KAlarm to be used as a 'tea
 timer'.
 .
 As an alternative to using the graphical interface, alarms can be scheduled
 from the command line or via DBus calls from other programs. KAlarm is
 KDE-based, but will also run on other desktops.
 .
 This package is part of KDE, and a component of the KDE PIM module.

Package: kdepim-kresources
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: korganizer
Suggests: knotes
Replaces: korganizer (<< 4:4.2.85)
Description: KDE PIM resource plugins
 This package adds more resource plugins for KDE PIM applications such as
 blogging, tracking feature plans etc.
 .
 This package is part of KDE, and a component of the KDE PIM module.

Package: kdepim-groupware
Section: kde
Architecture: any
Recommends: kdepim-wizards
Replaces: korganizer (<< 4:4.2.85), knotes (<< 4:4.2.2-0ubuntu1), kaddressbook (<< 4:4.1.80), libkdepim4 (<< 4:4.2.85),
 kdepim-kresources (<< 4:4.1.80)
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, kdepim-runtime
Description: KDE PIM Groupware plugins
 This package includes several plugins used by KDE PIM components to
 interface with Groupware servers. Supported Groupware platforms include
 eGroupware, Kolab 2, Scalix and SLOX (SuSE Linux Openexchange Server),
 Novell GroupWise and GroupDAV.
 .
 This package is part of KDE, and a component of the KDE PIM module.

Package: kdepim-wizards
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdepim-groupware (= ${binary:Version})
Suggests: egroupware
Description: KDE server configuration wizards
 This package contains KDE-based wizards for configuring KDE PIM applications
 to access eGroupware, Kolab 2, Scalix and SLOX (SuSE Linux Openexchange
 Server) and Novell GroupWise groupware servers.
 .
 This package is part of KDE, and a component of the KDE PIM module.

#Package: kitchensync
#Section: kde
#Architecture: any
#Depends: ${shlibs:Depends}, ${misc:Depends}
#Suggests: konqueror
#Conflicts: kdebluetooth-irmcsync (<< 0.99+1.0beta2-4.1)
#Homepage: http://www.opensync.org/wiki/kitchensync
#Description: Synchronization framework
# This package contains a synchronization framework, still under heavy
# development.  Kitchensync uses opensync.
# .
# This package is part of KDE, and a component of the KDE PIM module.

Package: kleopatra
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 gnupg-agent, gnupg2, gpgsm, dirmngr, pinentry-qt4
Replaces: kdepim-doc (<< 4:4.4.60)
Description: KDE Certificate Manager
 Kleopatra is the KDE tool for managing X.509 certificates in the gpgsm
 keybox and for retrieving certificates from LDAP servers.
 .
 This package is part of KDE, and a component of the KDE PIM module.

Package: kmail
Section: mail
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, kdepim-runtime
Recommends: gnupg2, gnupg,  gnupg-agent, pinentry-qt4
Suggests: kaddressbook, procmail, kleopatra, spamassassin | bogofilter | spambayes | bsfilter | crm114, clamav
Replaces: kmailcvt (<< 4:3.90.0), akonadi-kde (<< 4:4.1.3), kontact (<< 4:4.2.85)
Provides: imap-client, mail-reader
Homepage: http://kontact.kde.org/kmail/
Description: KDE Email client
 KMail is a fully-featured email client that fits nicely into the KDE
 desktop. It has features such as support for IMAP, POP3, multiple accounts,
 mail filtering and sorting, PGP/GnuPG privacy, and inline attachments.
 .
 This package also contains Nepomuk EMail Feeder Akonadi Agent.
 .
 This package is part of KDE, and a component of the KDE PIM module.

# Package: kmobiletools
# Section: utils
# Architecture: any
# Depends: ${shlibs:Depends}, ${misc:Depends}
# Homepage: http://www.kmobiletools.org/
# Description: KDE application to control mobile phones
#  MobileTools is a KDE application that allows you to control your mobile phone.
#  Actually, this application supports: SMS reading/writing/sending/deleting ,
#  multiple SMS destinations (if supported by the phone), calls handling (dial,
#  answer, close), phonebook reading, viw last answered calls and last unanswered
#  calls lists.
#  .
#  This package is part of KDE, and a component of the KDE PIM module.

Package: knode
Section: news
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdepim-runtime
Replaces: kdepim-dev (<< 4:3.4.0), kontact (<< 4:4.2.85)
Provides: news-reader
Homepage: http://kontact.kde.org/knode/
Description: KDE news reader
 KNode is an easy-to-use, convenient newsreader. It is intended to be usable
